JAI(Java Advanced Imaging)和 ImageIO 在windows7 x64 版本上的安装问题

来源:转载

最近在学习使用Geotools,在官方的入门指导文档上说,要想获得最好的体验,需要安装JAI和 ImageIO ,我安装文档上给的位置下载了windows安装包,可安装时都说需要jdk1.3或以上版本,可我明明安装了,他就是检测不出来,这让我很无语,后来就一直再用,也没什么问题,可是最近在做图像显示是,总是报ClassNotFound的错误,去网上搜了一下,发现Geotools论坛上有人问了这个问题,下面回答是这个其实是一个warning,原因是没有安装jai,功能可以实现,但在图像显示是的效果可能并不完美,于是又想安装jai,去网上搜了一下安装问题,发现oracle的官网上也有人问相同的问题,回答原文如下

“It is higher, and there is no trick. You should be able to just run the exe. If push comes to shove, you can simply download the zip file and place jai_core.jar and jai_codec.jar into Java/jdk1.6.0_20/jrelib/ext/ . This will give all the functionality, but no native acceleration.”

简单翻译一下,就是如果反复安装都不行的话,就下载zip文件,然后将jai_core.jar和jai_codec.jar两个文件,放到Java/jdk1.6.0_20/jrelib/ext文件夹中,这样你可以获得全部的功能,但是没有native acceleration(这个我也不知道怎么翻译。。。。)

参考网页:

http://osgeo-org.1803224.n2.nabble.com/raster-image-td6242451.html

http://forums.oracle.com/forums/thread.jspa?messageID=9624185

标签: JAI Window7 x64 安装 Geotools绿色通道:好文要顶关注我收藏该文与我联系

分享给朋友:
您可能感兴趣的文章:
随机阅读: